#!/bin/bash

# Remove applied patches to the kernel sources after a failed 
# build-kernelive.sh 
# ----------------------

softname='kernelive'
version=`uname -r`
pkgversion='54.1'
arch='i486'
cpu='i686'

buildir=`pwd`
sources=/usr/src
srcdir="$sources/linux-${version}"
newdir="${softname}-${version}-${arch}-${pkgversion}"
dest=${buildir}/${newdir}
liveconfig=$buildir/kernelive.config

SQUASHFS=squashfs3.4
LZMA=lzma457
AUFS=aufs
SQUASHFS_LATEST_KERNEL_PATCH=linux-2.6.27-rc4



# ----------------------

eecho()
{
   echo "-------------------------------------"
   echo " * " "$@"
   echo "-------------------------------------"
}

set -e

eecho "Remove Kernel patches"

cd $srcdir
patch -p1 -R < $sources/sqlzma2k-3.4.patch
eecho "Patch 8 removed succesfully"

cd $sources/$SQUASHFS/squashfs-tools
patch -p0 -R < $buildir/unsquashfs.quiet.patch
eecho "Patch 7 removed succesfully"

patch -p0 -R < $buildir/mksquashfs.quiet.patch
eecho "Patch 6 removed succesfully"

cd $sources/$LZMA
patch -p1 -R < $sources/sqlzma1-457.patch
eecho "Patch 5 removed succesfully"

cd $sources
patch -p0 -R < $sources/sqlzma2u-3.4.patch
eecho "Patch 4 removed succesfully"

cd $srcdir
patch -p1 -R < $sources/$SQUASHFS/kernel-patches/$SQUASHFS_LATEST_KERNEL_PATCH/*patch
eecho "Patch 3 removed succesfully"
patch -p1 -R < $sources/$AUFS/patch/sec_perm-2.6.24.patch
eecho "Patch 2 removed succesfully"
patch -p0 -R < $sources/$AUFS/patch/splice-2.6.23.patch
eecho "Patch 1 removed succesfully"



